#include <inttypes.h>
#include <avr/io.h>


// PortA

#define POWER_RELAIS_0			PA7
#define POWER_RELAIS_1			PA6
#define POWER_STACK_EN			PA5
#define POWER_OUTPUT_ENABLE		PA4
#define UI_MODE					PA3


// PortB

#define SCK						PB7
#define MISO					PB6
#define MOSI					PB5
#define DAC0_CS					PB4
#define DAC0_SHDN				PB3
#define DAC0_LOAD				PB2
#define ADC0_CS_SHDN			PB1
#define ADC1_CS_SHDN			PB0

#define DDR_SPI					DDRB
#define PORT_SPI				PORTB

// PortC

#define INC0_A					PC7
#define INC0_B					PC6
#define INC1_A					PC5
#define INC1_B					PC4

#define SDA						PC1
#define	SCL						PC0

#define	DDR_I2C
#define	PORT_I2C

// PortD
	
#define PANEL_IO_3				PD4;
#define PANEL_IO_2				PD3;
#define PANEL_IO_1				PD2;


volatile uint16_t				CHA_DATA;			
volatile uint16_t				CHB_DATA;


#include <dac.h>
#include <init.h>

// Hauptprogramm

int main(void)

	{

	Init_IO();
	Init_SPI();

	CHA_DATA = 1024;
	CHB_DATA = 2048;

	Load_DAC_CHA();
	Load_DAC_CHB();
	
	while(1) 
		{       
   		}                       
   	return 0;                 

	}

	


